<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Tugas-8-pengenalan-vueJS</title>
</head>

<body>
    <div id="app">
        <button onclick="vm.openForm()">Click</button>
        <h1>{{ 'nilai a : '+ a}}</h1>
        <h1>{{ 'Rata rata : '+ b}}</h1>

    </div>


    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script>
        var vm = new Vue({
            el: '#app',
            data: {
                a: 0,
                b: 0
            },
            methods: {

                openForm() {
                    var nilai = 0
                    while (this.a < 10) {
                        this.a = this.a + parseInt(prompt('masukan nilai a: '))
                        nilai++;
                    }
                    this.b = this.a / nilai


                }
            }
        })
    </script>

</body>

</html>